# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

MY_PN="${PN%-*}"		# strip off -bin

DESCRIPTION="Jellyfin is a Free Software Media System that puts you in control of managing and streaming your media."
HOMEPAGE="https://jellyfin.readthedocs.io/en/latest/"
SRC_URI="https://repo.jellyfin.org/releases/server/linux/stable/combined/${MY_PN}_${PV}_amd64.tar.gz
	https://repo.jellyfin.org/archive/linux/stable/${PV}/combined/${MY_PN}_${PV}_amd64.tar.gz"
RESTRICT="mirror test"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="dev-util/lttng-ust
	acct-user/jellyfin"
RDEPEND="${DEPEND}"
BDEPEND=""

INST_DIR="/opt/${MY_PN}"

QA_PREBUILT="${INST_DIR}/*.so ${INST_DIR}/jellyfin ${INST_DIR}/createdump"

src_unpack() {
	unpack ${A}
	mv ${MY_PN}_${PV} ${P}
}

src_install() {
	dodir ${INST_DIR}
	insinto ${INST_DIR}
	doins -r ${S}/*
	chmod 755 ${D}${INST_DIR}/jellyfin

	newconfd "${FILESDIR}/${MY_PN}.conf" "${MY_PN}"
	newinitd "${FILESDIR}/${MY_PN}.init" "${MY_PN}"
}
